import request from '@/utils/request'

export function listplan(params) {
  return request({
    url: '/api/admin/mission-plan/index',
    method: 'get',
    params:params
  })
}

export function updateplan(params) {
  return request({
    url: '/api/admin/mission-plan/update-status',
    method: 'get',
    params:params
  })
}

export function save(data) {
  return request({
    url: '/api/admin/mission-plan/save',
    method: 'post',
    data
  })
}

export function del(id) {
  return request({
    url: '/api/admin/mission-plan/destroy',
    method: 'get',
    params: {
      id
    }
  })
}

export function get(id) {
  return request({
    url: '/api/admin/mission-plan/show',
    method: 'get',
    params: {
      id
    }
  })
}
